Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativa.pojo
Class StrutturaRiabilitativa

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativa.pojo.StrutturaRiabilitativa

    public class StrutturaRiabilitativa

extends java.lang.Object

La classe `Struttura Riabilitativa` espone i servizi richiesti per una struttura riabilitativa.

Author:
  SantovitoM

Constructor Summary
`StrutturaRiabilitativa()`

Method Summary
`StrutturaRiabilitativaAccreditataResponse` | `getStrutturaRiabilitativaAccreditata(AttributiAutorizzativi attributiAutorizzativi, StrutturaRiabilitativaAccreditataRequest filtri)` Consente di ottenere l'elenco delle strutture riabilitative che sono state accreditate dalla Regione e che soddisfano i criteri di ricerca impostati.
`StrutturaRiabilitativaConvenzionataResponse` | `getStrutturaRiabilitativaConvenzionata(AttributiAutorizzativi attributiAutorizzativi, StrutturaRiabilitativaConvenzionataRequest filtri)` Consente di recuperare i dati delle strutture riabilitative che risultano essere state convenzionate dalla ASL competente e che soddisfano i criteri di ricerca specificati in input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutturaRiabilitativa

    public StrutturaRiabilitativa()

Method Detail

### getStrutturaRiabilitativaAccreditata

    public StrutturaRiabilitativaAccreditataResponse getStrutturaRiabilitativaAccreditata(AttributiAutorizzativi attributiAutorizzativi,
                                                                                          StrutturaRiabilitativaAccreditataRequest filtri)

  Consente di ottenere l'elenco delle strutture riabilitative che sono state accreditate dalla Regione e che soddisfano i criteri di ricerca impostati.

  Parameters:
    `attributiAutorizzativi` -
    `filtri` - di ricerca delle strutture
  Returns:
    elenco o singola struttura individuata nel sistema Edotto L'elenco dei possibili errori:
    - 000001 - Alcuni dei dati specificati nella richiesta non sono validi

### getStrutturaRiabilitativaConvenzionata

    public StrutturaRiabilitativaConvenzionataResponse getStrutturaRiabilitativaConvenzionata(AttributiAutorizzativi attributiAutorizzativi,
                                                                                              StrutturaRiabilitativaConvenzionataRequest filtri)

  Consente di recuperare i dati delle strutture riabilitative che risultano essere state convenzionate dalla ASL competente e che soddisfano i criteri di ricerca specificati in input.

  Parameters:
    `attributiAutorizzativi` -
    `filtri` -
  Returns:
    elenco delle strutture convenzionate L'elenco dei possibili errori:
    - 000001 - Alcuni dei dati specificati nella richiesta non sono validi formalmente
    - 000002 - Manca un dato obbligatorio
    - 000004 - Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 002357 - Occorre inserire almeno uno dei due possibili filtri di ricerca richiesti obbligatoriamente: il codice struttura o il codice nazionale della ASL con cui la struttura è convenzionata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD